Package com.google.android.exoplayer2.upstream

## Class BandwidthMeter.EventListener.EventDispatcher

- java.lang.Object
- - com.google.android.exoplayer2.upstream.BandwidthMeter.EventListener.EventDispatcher

- Enclosing interface:
    BandwidthMeter.EventListener

      public static final class BandwidthMeter.EventListener.EventDispatcher
      extends Object

  Event dispatcher which allows listener registration.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventDispatcher()` | Creates an event dispatcher.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(Handler eventHandler, BandwidthMeter.EventListener eventListener)` | Adds a listener to the event dispatcher.
    `void` | `bandwidthSample​(int elapsedMs, long bytesTransferred, long bitrateEstimate)` |
    `void` | `removeListener​(BandwidthMeter.EventListener eventListener)` | Removes a listener from the event dispatcher.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventDispatcher

          public EventDispatcher()

      Creates an event dispatcher.

  - ### Method Detail

    - #### addListener

          public void addListener​(Handler eventHandler,
                                  BandwidthMeter.EventListener eventListener)

      Adds a listener to the event dispatcher.

    - #### removeListener

          public void removeListener​(BandwidthMeter.EventListener eventListener)

      Removes a listener from the event dispatcher.

    - #### bandwidthSample

          public void bandwidthSample​(int elapsedMs,
                                      long bytesTransferred,
                                      long bitrateEstimate)